| LCD Library 1.2.1 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
LiquidCrystal_SR Class Reference

`#include <LiquidCrystal_SR.h>`

Inheritance diagram for LiquidCrystal_SR:

List of all members.

## Public Member Functions
| LiquidCrystal_SR (uint8_t srdata, uint8_t srclock, uint8_t enable=TWO_WIRE)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklight (uint8_t mode)
void | setBacklightPin (uint8_t pin, t_backlighPol pol)

## Detailed Description

Definition at line 94 of file LiquidCrystal_SR.h.

## Constructor & Destructor Documentation

LiquidCrystal_SR::LiquidCrystal_SR | ( | uint8_t | srdata,
|  | uint8_t | srclock,
|  | uint8_t | enable = `TWO_WIRE`
| ) |  |

LCD SHIFT REGISTER constructors. Defines the pin assignment that the LCD will have. The constructor does not initialize the LCD. Assuming 1 line 8 pixel high font.

Parameters:

  srdata[in] | pin for shiftregister data line.
  srclock[in] | pin for shiftregister clock line.
  enable[in] | optional direct enable pin for the LCD

Definition at line 98 of file LiquidCrystal_SR.cpp.

## Member Function Documentation

void LiquidCrystal_SR::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  | `[virtual]`

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command using the shift register.

Users should never call this method.

Parameters:

  value[in] | Value to send to the LCD.

Returns:
  mode LOW - write to the LCD CGRAM, HIGH - write a command to the LCD.

Reimplemented from LCD.

Definition at line 172 of file LiquidCrystal_SR.cpp.

void LiquidCrystal_SR::setBacklight | ( | uint8_t | mode | ) | `[virtual]`

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also:
  setBacklightPin.

Parameters:

  mode,: | backlight mode (HIGH|LOW)

Reimplemented from LCD.

Definition at line 207 of file LiquidCrystal_SR.cpp.

void LiquidCrystal_SR::setBacklightPin | ( | uint8_t | pin,
|  | t_backlighPol | pol
| ) |  | `[virtual]`

Sets the pin to control the backlight. Sets the pin in the device to control the backlight.

Warning:
  Currently not supported

Parameters:

  mode,: | backlight mode (HIGH|LOW)
  pol,: | backlight polarity

Reimplemented from LCD.

Definition at line 202 of file LiquidCrystal_SR.cpp.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR.h
- /Users/fmalpartida/development/ardWorkspace/LiquidCrystal_I2C/LiquiCrystal_I2C/LiquidCrystal_SR.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines